%define base_name       tcpdf
%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:       php-%{base_name}
Version:    6.5.0
%define subrel 2
Release:    %mkrel 1
Summary:    PHP class for generating PDF documents
License:    LGPLv3+
Group:      Development/PHP
URL:        http://www.tcpdf.org/
Source:     https://github.com/tecnickcom/TCPDF/archive/refs/tags/TCPDF-%version.tar.gz
Patch0:     05f3a28f4a7905019469e040cf77e53d6aa7f679.patch
Patch1:     CVE-2024-22641.patch
BuildArch:  noarch
BuildRequires:  php-fedora-autoloader-devel
Requires:       php-bcmath
Requires:       php-curl
Requires:       php-gd
Requires:       php-hash
Requires:       php-json
Requires:       php-mbstring
Requires:       php-openssl
Requires:       php-pcre
Requires:       php-posix
Requires:       php-xml
Requires:       php-zlib
# Autoloader
Requires:       php-composer(fedora/autoloader)
# New name
Provides:       php-composer(tecnickcom/tcpdf)  = %{version}

%description
TCPDF is a FLOSS PHP class for generating PDF documents.

%package dejavu-lgc
Summary:        DejaVu LGC fonts for tcpdf
BuildRequires:  fonts-ttf-dejavu-lgc
Requires:       %{name} = %{version}-%{release}
Requires:       fonts-ttf-dejavu-lgc

%description dejavu-lgc
This package allow to use system DejaVu LGC font faces in TCPDF.

%package dejavu
Summary:        DejaVu fonts for tcpdf
BuildRequires:  fonts-ttf-dejavu
Requires:       %{name} = %{version}-%{release}
Requires:       fonts-ttf-dejavu

%description dejavu
This package allow to use system DejaVu font faces in TCPDF.

%package gnu-free-mono-fonts
Summary:        GNU FreeFonts mono-spaced for tcpdf
BuildRequires:  gnu-free-mono-fonts
Requires:       gnu-free-mono-fonts
Requires:       %{name} = %{version}-%{release}

%description gnu-free-mono-fonts
This package allow to use system GNU FreeFonts mono-spaced font faces in TCPDF.

%package gnu-free-sans-fonts
Summary:        GNU FreeFonts sans-serif for tcpdf
BuildRequires:  gnu-free-sans-fonts
Requires:       gnu-free-sans-fonts
Requires:       %{name} = %{version}-%{release}

%description gnu-free-sans-fonts
This package allow to use system GNU FreeFont sans-serif font faces in TCPDF.

%package gnu-free-serif-fonts
Summary:        GNU FreeFonts serif for tcpdf
BuildRequires:  gnu-free-serif-fonts
Requires:       gnu-free-serif-fonts
Requires:       %{name} = %{version}-%{release}

%description gnu-free-serif-fonts
This package allow to use system GNU FreeFont serif font faces in TCPDF.

%prep
%setup -q -n TCPDF-%{version}
%autopatch -p1

# remove bundled fonts
rm -rf fonts/dejavu-fonts-ttf* fonts/freefont-* fonts/ae_fonts_*
for fic in fonts/*.z
do
  rm -f $fic ${fic/.z/.php}
done
ls fonts | sed -e 's|^|%{php_libdir}/tcpdf/fonts/|' >corefonts.lst

%build

%install
install -d -m 755 %{buildroot}%{php_libdir}/tcpdf
cp -pr *.php   %{buildroot}%{php_libdir}/tcpdf
cp -pr include %{buildroot}%{php_libdir}/tcpdf
cp -pr fonts   %{buildroot}%{php_libdir}/tcpdf
install -d -m 755 %{buildroot}%{php_libdir}/tcpdf/images
install -m 644 examples/images/_blank.png \
    %{buildroot}%{php_libdir}/tcpdf/images/

php -d memory_limit=2G\
    %{_bindir}/phpab \
    --template fedora \
    --output %{buildroot}%{php_libdir}/tcpdf/autoload.php \
    %{buildroot}%{php_libdir}/tcpdf

# configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/tcpdf
install -m 644 config/*.php %{buildroot}%{_sysconfdir}/tcpdf

# tools
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 tools/tcpdf_addfont.php \
           %{buildroot}%{_bindir}/tcpdf_addfont

# fonts
list=""
for ttf in \
    /usr/share/fonts/TTF/dejavu/*ttf \
    /usr/share/fonts/TTF/dejavu-lgc/*ttf \
    /usr/share/fonts/gnu-free/*ttf \
; do
   list=$ttf${list:+,${list}}
done
php -d memory_limit=1G tools/tcpdf_addfont.php \
    --addcbbox \
    --flags 32 \
    --fonts $list \
    --link \
    --outpath %{buildroot}%{php_libdir}/tcpdf/fonts/

%files -f corefonts.lst
%doc CHANGELOG.TXT LICENSE.TXT README.md examples
%{_bindir}/tcpdf_addfont
%dir %{php_libdir}/tcpdf
%dir %{php_libdir}/tcpdf/fonts
%{php_libdir}/tcpdf/include
%{php_libdir}/tcpdf/images
%{php_libdir}/tcpdf/*php
%dir %{_sysconfdir}/tcpdf
%config(noreplace) %{_sysconfdir}/tcpdf/*

%files dejavu-lgc
%{php_libdir}/tcpdf/fonts/dejavulgcsans*
%{php_libdir}/tcpdf/fonts/dejavulgcserif*

%files dejavu
%{php_libdir}/tcpdf/fonts/dejavusans*
%{php_libdir}/tcpdf/fonts/dejavuserif*
%{php_libdir}/tcpdf/fonts/dejavumath*

%files gnu-free-mono-fonts
%{php_libdir}/tcpdf/fonts/freemono*

%files gnu-free-sans-fonts
%{php_libdir}/tcpdf/fonts/freesans*

%files gnu-free-serif-fonts
%{php_libdir}/tcpdf/fonts/freeserif*


%changelog
* Thu Nov 07 2024 ns80 <ns80> 6.5.0-1.2.mga9
+ Revision: 2112914
- backport upstream patch for CVE-2024-22641 (mga#33731)
- add an upstream patch for CVE-2024-22640 (mga#33173)

* Wed Aug 24 2022 neoclust <neoclust> 6.5.0-1.mga9
+ Revision: 1880143
- New version 6.5.0

* Thu Mar 31 2022 umeabot <umeabot> 6.3.5-3.mga9
+ Revision: 1836661
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 6.3.5-2.mga8
+ Revision: 1534251
- Mageia 8 Mass Rebuild

* Sat Feb 15 2020 guillomovitch <guillomovitch> 6.3.5-1.mga8
+ Revision: 1526024
- new version 6.3.5

* Mon Sep 30 2019 guillomovitch <guillomovitch> 6.3.2-1.mga8
+ Revision: 1448501
- new version 6.3.2
- use system font instead of duplicating them

* Sat Oct 27 2018 guillomovitch <guillomovitch> 6.2.26-1.mga7
+ Revision: 1326159
- new version 6.2.26

* Thu Sep 20 2018 umeabot <umeabot> 6.2.17-2.mga7
+ Revision: 1287877
- Mageia 7 Mass Rebuild

* Tue Feb 27 2018 guillomovitch <guillomovitch> 6.2.17-1.mga7
+ Revision: 1205519
- new version 6.2.17

* Sun Dec 24 2017 guillomovitch <guillomovitch> 6.2.13-3.mga7
+ Revision: 1184525
- add upstream patch for php 7.2 compatibility

* Wed Apr 19 2017 guillomovitch <guillomovitch> 6.2.13-2.mga6
+ Revision: 1096850
- add autoloader
- switch to new PHP dependencies syntax

* Fri Jan 06 2017 guillomovitch <guillomovitch> 6.2.13-1.mga6
+ Revision: 1080298
- new version 6.2.13

* Sat Feb 20 2016 umeabot <umeabot> 6.2.12-2.mga6
+ Revision: 971986
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 guillomovitch <guillomovitch> 6.2.12-1.mga6
+ Revision: 893961
- new version 6.2.12

* Thu Aug 20 2015 guillomovitch <guillomovitch> 6.2.11-1.mga6
+ Revision: 866995
- new version 6.2.11

* Mon Jun 22 2015 guillomovitch <guillomovitch> 6.2.9-1.mga6
+ Revision: 839505
- new version 6.2.9

* Sun Nov 09 2014 guillomovitch <guillomovitch> 6.0.098-1.mga5
+ Revision: 796126
- new version 6.0.098

* Wed Oct 15 2014 umeabot <umeabot> 6.0.091-5.mga5
+ Revision: 746309
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 6.0.091-4.mga5
+ Revision: 725205
- rebuild for bogus file deps

* Thu Sep 25 2014 guillomovitch <guillomovitch> 6.0.091-3.mga5
+ Revision: 724637
- fix automatic dependencies

* Tue Sep 16 2014 umeabot <umeabot> 6.0.091-2.mga5
+ Revision: 687553
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 guillomovitch <guillomovitch> 6.0.091-1.mga5
+ Revision: 665988
- new version 6.0.091

* Tue Aug 05 2014 guillomovitch <guillomovitch> 6.0.089-1.mga5
+ Revision: 659735
- new version 6.0.089

* Sat Jun 28 2014 guillomovitch <guillomovitch> 6.0.087-1.mga5
+ Revision: 640549
- new version 6.0.087

* Thu May 29 2014 guillomovitch <guillomovitch> 6.0.082-1.mga5
+ Revision: 627579
- new version 6.0.082

* Wed Apr 30 2014 guillomovitch <guillomovitch> 6.0.073-1.mga5
+ Revision: 618959
- new version 6.0.073

* Tue Apr 08 2014 guillomovitch <guillomovitch> 6.0.064-1.mga5
+ Revision: 612925
- new version 6.0.064

* Tue Feb 04 2014 guillomovitch <guillomovitch> 6.0.059-1.mga5
+ Revision: 580597
- new version 6.0.59

* Sat Dec 14 2013 guillomovitch <guillomovitch> 6.0.052-1.mga4
+ Revision: 556763
- new version

* Sat Nov 30 2013 guillomovitch <guillomovitch> 6.0.049-1.mga4
+ Revision: 554141
- new version 6.0.49

* Thu Nov 21 2013 guillomovitch <guillomovitch> 6.0.047-1.mga4
+ Revision: 552137
- new version

* Mon Nov 11 2013 guillomovitch <guillomovitch> 6.0.044-1.mga4
+ Revision: 550487
- new version

* Wed Oct 30 2013 guillomovitch <guillomovitch> 6.0.043-1.mga4
+ Revision: 547920
- new version 6.0.043

* Tue Oct 22 2013 umeabot <umeabot> 6.0.039-2.mga4
+ Revision: 542075
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 guillomovitch <guillomovitch> 6.0.039-1.mga4
+ Revision: 496965
- new version 6.0.039

* Wed Oct 02 2013 guillomovitch <guillomovitch> 6.0.037-1.mga4
+ Revision: 490398
- new version

* Tue Sep 24 2013 guillomovitch <guillomovitch> 6.0.033-1.mga4
+ Revision: 485655
- new version 6.0.33

* Tue Sep 17 2013 guillomovitch <guillomovitch> 6.0.030-1.mga4
+ Revision: 481034
- new version 6.0.30

* Thu Sep 05 2013 guillomovitch <guillomovitch> 6.0.025-1.mga4
+ Revision: 475314
- new version 6.0.025

* Mon Aug 19 2013 guillomovitch <guillomovitch> 6.0.023-2.mga4
+ Revision: 467628
- don't ship .htaccess files in a library

* Fri Aug 09 2013 guillomovitch <guillomovitch> 6.0.023-1.mga4
+ Revision: 464963
- new version

* Fri Jun 28 2013 guillomovitch <guillomovitch> 6.0.020-2.mga4
+ Revision: 448066
- fix license

* Fri Jun 28 2013 guillomovitch <guillomovitch> 6.0.020-1.mga4
+ Revision: 448060
- imported package php-tcpdf

